%global base_version 1.04
Name:           perl-Env
Version:        1.04
Release:        1%{?dist}
Summary:        Perl module that imports environment variables as scalars or arrays
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Env
Source0:        https://cpan.metacpan.org/authors/id/F/FL/FLORA/Env-%{base_version}.tar.gz
BuildArch:      noarch
# Unbundled from perl 5.34.0
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Config)
BuildRequires:  perl(Tie::Array)
# Tests:
BuildRequires:  perl(Test::More)
BuildRequires:  perl(vars)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
 
%description
Perl maintains environment variables in a special hash named %%ENV. For when
this access method is inconvenient, the Perl module Env allows environment
variables to be treated as scalar or array variables.
 
%prep
%setup -q -n Env-%{base_version}
 
%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}
 
%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*
 
%check
make test
 
%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*
 
%changelog
* Wed Apr 20 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 1.04-1
- Init from upstream version 1.04
